<?php
// +-------------------------------------------------------------------------+
// | iCMS - Content Managment System                                         |
// |-------------------------------------------------------------------------|
// | Last edit time: 03.10.2001                                              |
// |-------------------------------------------------------------------------|
// | Copyright (c) Vadim Kravciuk aka Stek -> vadim@openride.com             |
// | http://www.openride.com/ or http://vadim.openride.com                   |
// +-------------------------------------------------------------------------+

class class_gallery {
	var $imgArray = array();
	var $dirArray = array();
	var $thPrefix="tn_";
	var $imgToPages=10;
	var $imgDir="";
	var $imgAlbumDir = "";
	var $ext;

function m_imgInfo($dir,$img) {
	if (is_file($this->imgAlbumDir."/".$dir."".$img)) {
		$size=getimagesize($this->imgAlbumDir."/".$dir."".$img);

		if (is_file($this->imgAlbumDir."/".$dir."/images.info")) {
			$res=file($this->imgAlbumDir."/".$dir."/images.info");
			for ($i=0;$i<count($res);$i++) {
				$tmp_array=split("	", $res[$i]);
				$tmp_array2[$tmp_array[0]]=$tmp_array[1];
			}

			if ($tmp_array2[$img]) { $imgInfo=$tmp_array2[$img]; }
			else { $imgInfo='';}

		}
		$return["width"]=$size[0];
		$return["height"]=$size[1];
		$return["info"]=$tmp_array2[$img];

		unset($res); unset($tmp_array); unset($tmp_array2);

		return $return;
	}
	else {
		return FALSE;
	}
}

function m_getTopDir($dir) {
	$top_dir=split("/", $dir);
	
	$new_array= array();
	for ($i=0; $i < count($top_dir)-1; $i++) {
		$new_array[]=$top_dir[$i];
	}
	$top_dir=implode("/", $new_array);
	return $top_dir;
}

	function lc_getDirInfo() {
		$lc_array= array();
		if (is_file($this->imgDir."/dir.info")) {
			$tmp_array=file($this->imgDir."/dir.info");
			for ($i=0; $i < count($tmp_array); $i++) {
				$tmp_array2=split("	", $tmp_array[$i]);
				$lc_array[$tmp_array2[0]]=$tmp_array2[1];
			}
		}
		unset($tmp_array); unset($tmp_array2);
		return $lc_array;
	}

	function m_getDir() {
		$return = array();
		$res=$this->lc_getDirInfo();
		for ($i=0; $i< count($this->dirArray); $i++) {
			if ($res[$this->dirArray[$i]]) {
				$return[$i]["info"]=trim($res[$this->dirArray[$i]]);
			}
			else {
				$return[$i]["info"]=$this->dirArray[$i];
			}
			$return[$i]["dir"]=$this->dirArray[$i];
		}
		return $return;
	}

	function m_readDir($dir) {
		$return = array();
		if (is_dir($dir)) {
			$this->imgDir=$dir;
			$handle = opendir($dir);
			while ($object = readdir($handle)) {
				if ($object != '.' and $object != '..') {
					if (is_dir($dir."/".$object)) {
						$this->dirArray[]=$object;
					}
					else {
						//$extList='gif jpeg jpg png';
						
						if (isset($this->ext[substr($object, strrpos($object,'.')+1)]) and (substr($object, 0, strlen($this->thPrefix)) != $this->thPrefix)) {
							$this->imgArray[]=$object;
						}
						
						//if ((stristr($extList, substr($object, strrpos($object,'.')+1))) and (substr($object, 0, strlen($this->thPrefix)) != $this->thPrefix)){
						//	$this->imgArray[]=$object;
						//}
					}
				}
			}
			closedir($handle);
		}
		return $return;
	}

	function lc_makePages() {}

	function m_getPagesCount() {
		$count= count($this->imgArray);
		$count=ceil($count / $this->imgToPages);
		return $count;
	}

	function m_getPages($nextPages) {
		$lc_return = array();
		$nextPages=intval($nextPages);

		for($i=$nextPages*$this->imgToPages; $i < count($this->imgArray);$i++) {
			$return[]=$this->imgArray[$i];
		}

		if (count($return) > $this->imgToPages) {$by=$this->imgToPages;}
		else {$by=count($return);}

		$lc_i=0;
		for ($i=0;$i < $by; $i++) {
			if (is_file($this->imgDir."/".$this->thPrefix.$return[$i])) {
				$lc_return[$lc_i]["th"]=$this->thPrefix.$return[$i];
			}
			else {
				$lc_return[$lc_i]["th"]="none";
//				if ($ext = $this->ext[strtolower(substr($return[$i], strrpos($return[$i],'.')+1))]) {
//					$lc_return[$lc_i]["th"]="img/".$ext;
//				}
			}
			$lc_return[$lc_i]["img"]=$return[$i];
			$lc_i++;
		}

		return $lc_return;
	}

	function m_getAllImages() {
		$lc_return = array(); $lc_i=0;

		$return=$this->imgArray;
		$count=count($return);
		for ($i=0;$i < $count; $i++) {
			if (is_file($this->imgDir."/".$this->thPrefix.$return[$i])) {
				$lc_return[$lc_i]["th"]=$this->thPrefix.$return[$i];
				$lc_return[$lc_i]["img"]=$return[$i];
			}
			else {
				$lc_return[$lc_i]["th"]="none";
				$lc_return[$lc_i]["img"]=$return[$i];
			}
			$lc_i++;
		}

		return $lc_return;
	}

}
?>