<?php
// +-------------------------------------------------------------------------+
// | iCMS - Content Managment System                                         |
// |-------------------------------------------------------------------------|
// | Last edit time: 04.10.2001                                              |
// |-------------------------------------------------------------------------|
// | Copyright (c) Vadim Kravciuk aka Stek -> vadim@openride.com             |
// | http://www.openride.com/ or http://vadim.openride.com                   |
// +-------------------------------------------------------------------------+
error_reporting(7);

include_once("config.php");
include_once("class.gallery.php");
include_once("class.FastTemplate.php");
$iAlbum=new class_gallery;
$tpl= new FastTemplate(MOD_GALLERY_PATH);
$tpl->WIN32 = MOD_GALLERY_WIN32;
$start_time = $tpl->utime();
$iAlbum->ext=&$icon;
$iAlbum->imgAlbumDir=MOD_GALLERY_PATH."/".MOD_GALLERY_ALBUM_DIR;
$iAlbum->imgToPages=MOD_GALLERY_IMG_COUNT;
$mod_vars=array_merge($HTTP_GET_VARS, $HTTP_POST_VARS);
// ================================ module code start ===================================== //

$mod_vars["dir"]=eregi_replace("[^a-zA-Z0123456789_/]+","",$mod_vars["dir"]);
$iAlbum->m_readDir(MOD_GALLERY_PATH."/".MOD_GALLERY_ALBUM_DIR."/".$mod_vars["dir"]);

if (isset($mod_vars["img"])) {
	$mod_img_listing=lc_listImages();
	$dir_list=lc_dirListing($mod_vars["dir"]);

	$mod_res=$iAlbum->m_imgInfo($mod_vars["dir"],$mod_vars["img"]);
	if (!$mod_res) {
		$mod_output.="Error: file <b>".$mod_vars["img"]."</b> or directory <b>".$mod_vars["dir"]."</b> not exist. <br>\n";
	}
	else {
		$tpl->define(
			array(
				header	=> "tpl/main.header.tpl",
				footer	=> "tpl/main.footer.tpl",
				main    => "tpl/main.images.tpl",
			)
		);
		if (in_array(strtolower(substr($mod_vars["img"], strrpos($mod_vars["img"],'.')+1)),$download_ext)) {
			$tpl->assign(
				array(
					A_START	=>	"<a href=\"".MOD_GALLERY_ALBUM_WEB_DIR."/".$mod_vars["dir"]."".$mod_vars["img"]."\">",
					A_END	=>	"</a>",
					IMG_URL	=>	"img/".$icon[strtolower(substr($mod_vars["img"], strrpos($mod_vars["img"],'.')+1))],
				)
			);
		}
		else {
			$tpl->assign( 
				array( 
					IMG_URL		=>	MOD_GALLERY_ALBUM_WEB_DIR."/".$mod_vars["dir"]."".$mod_vars["img"] ,
				)
			);
		}
		$tpl->assign(
			array(
				MAIN_KEYWORDS	=>	GALLERY_KEYWORDS,
				MAIN_TITLE		=>	GALLERY_TITLE,
				INFO		=>	$mod_res["info"],
				IMG_LIST	=>	$mod_img_listing,
				DIR_LIST	=>	$dir_list
			)
		);
	}
}
else {
	$pages_list=lc_pagesList($mod_vars["pages"]);
	$dir_list=lc_dirListing($mod_vars["dir"]);
	$screen=lc_screen();

	$tpl->define(
		array(
			header	=> "tpl/main.header.tpl",
			footer	=> "tpl/main.footer.tpl",
			main    => "tpl/main.main.tpl",
		)
	);
	$tpl->assign(
		array(
			MAIN_KEYWORDS	=>	GALLERY_KEYWORDS,
			MAIN_TITLE		=>	GALLERY_TITLE,
			MAIN_SCREEN		=>	$screen,
			PAGES_LIST		=>	$pages_list,
			DIRECTORY_LIST	=>	$dir_list
		)
	);
}

/**
* Create directory listing
*/
function lc_dirListing($dir) {
	global $iAlbum, $mod_vars;
	$top_dir=$iAlbum->m_getTopDir($dir);
	$return='';
	if ($dir and $dir != '/') {
		$return.= "<a href=\"index.php?dir=".$top_dir."\" class=\"CategoryLink\">Top..</a> <br>";
	}
	$array=$iAlbum->m_getDir();
	for ($i=0; $i < count($array); $i++) {
		$return.= "<img src=\"img/dot.gif\" width=\"9\" height=\"10\" border=\"0\"> <a href=\"index.php?dir=".$mod_vars["dir"]."/".$array[$i]["dir"]."\" class=\"CategoryLink\">".$array[$i]["info"]."</a> <br>\n";
	}
	return $return;
}

/**
* Create pages listing
*/
function lc_pagesList($pages) {
	global $iAlbum, $mod_vars;
	$return='';
	for ($i=0;$i < $iAlbum->m_getPagesCount(); $i++) {
		if ($pages == $i) {
			$return.="<font class=\"CurrentPage\">$i</font> ";
		}
		else {
			$return.="<a href=\"index.php?dir=".$mod_vars["dir"]."&pages=$i\"class=\"NextPages\">$i</a> ";
		}
	}
	return $return;
}

function lc_listImages() {
	global $iAlbum, $mod_vars;
	$return='';
	$array=$iAlbum->m_getAllImages();
	$count=count($array);
	for ($i=0; $i < $count; $i++) {
		$dis_i=$i+1;
		if ($mod_vars["img"]==$array[$i]["img"]) {
			$return.="<a href=\"index.php?dir=".$mod_vars["dir"]."&img=".$array[$i]["img"]."\" class=\"CurrentPage\">$dis_i</a> ";
		}
		else {
			$return.="<a href=\"index.php?dir=".$mod_vars["dir"]."&img=".$array[$i]["img"]."\" class=\"NextPages\">$dis_i</a> ";
		}
	}
	return $return;
}

/**
* Create table with images
*/
function lc_screen() {
	global $mod_vars, $iAlbum, $icon;
	$return='';
	$return.="<table cellspacing=\"0\" cellpadding=\"2\" align=\"center\" class=\"ImgListTable\">";
	$return.="<tr><td colspan=\"".MOD_GALLERY_ROW."\" bgcolor=\"#ffffff\"><img src=\"img/pixel.gif\" width=\"1\" height=\"5\" border=\"0\"></td></tr>";
	$return.="<tr><td colspan=\"MOD_GALLERY_ROW\"><img src=\"img/pixel.gif\" width=\"1\" height=\"5\" border=\"0\"></td></tr>";
	$array=$iAlbum->m_getPages(intval($mod_vars["pages"]));
	$lc_nextImg=0;
	for ($i=0;$i < ceil(count($array)/MOD_GALLERY_ROW); $i++) {
		$return.="<tr>";
			for ($i2=0; $i2 < MOD_GALLERY_ROW; $i2++) {
				$return.="<td align=\"center\">";
				if ($array[$lc_nextImg]) {
					if ($array[$lc_nextImg]["th"]== 'none') {
						$th_img="img/".$icon[strtolower(substr($array[$lc_nextImg]["img"], strrpos($array[$lc_nextImg]["img"],'.')+1))];
					}
					else {$th_img = MOD_GALLERY_ALBUM_WEB_DIR."".$mod_vars["dir"]."/".$array[$lc_nextImg]["th"];}
					$return.="<a href=\"index.php?dir=".$mod_vars["dir"]."/".$array[$i]["dir"]."&img=".$array[$lc_nextImg]["img"]."\"><img src=\"$th_img\" border=\"0\"></a><br><font class=\"Comment\">".$array[$lc_nextImg]["img"]."</font><br>";
				}
				else {
					$return.="&nbsp";
				}
				$return.= "</td>\n";
				$lc_nextImg++;
			}
		$return.="</tr> \n";
		$return.="<tr><td colspan=".MOD_GALLERY_ROW."><img src=\"img/pixel.gif\" width=\"1\" height=\"5\" border=\"0\"></td></tr> \n";
	}
	$return.="</table>\n";
	return $return;
}

// +-------------------------------------------------------------------------+
// | Generate and otput data to template                                     |
// |-------------------------------------------------------------------------|

// ==== Template output
$tpl->parse(MAIN_HEADER,".header");
$tpl->parse(MAIN_FOOTER,".footer");
$tpl->parse(MAIN, array("main"));
$tpl->FastPrint();

$end_time = $tpl->utime();
$run_time = $end_time - $start_time;
if (EXEC_TIME==TRUE) {
	echo "<div align=\"center\"><font size=\"-1\">exec time $run_time</font></div>\n";
}

?>